% generating the sum of two waveforms at frequencies f1 and f2
fs = 0.5*1000000;  % sampling rate (half because the COM-8001 needs two samples to make a complex output sample, don't ask).
f1 = +25000;
f2 = -40000;
a1 = 0.15;  % scaling coefficients
a2 = 0.30;
npoints = 200000; % number of sampling points

x1 = a1*sin([1:npoints]*2*pi*f1/fs);
y1 = a1*cos([1:npoints]*2*pi*f1/fs);
x2 = a2*sin([1:npoints]*2*pi*f2/fs);
y2 = a2*cos([1:npoints]*2*pi*f2/fs);
o(:,1) = floor((x1 + x2)*2^13); % sum real
o(:,2) = floor((y1 + y2)*2^13); % sum imaginary

% save to a comma delimited text file
csvwrite('waveform.dat',o);